{-# LANGUAGE CPP #-}
{-# LANGUAGE NoRebindableSyntax #-}
{-# OPTIONS_GHC -fno-warn-missing-import-lists #-}
module Paths_monadas (
    version,
    getBinDir, getLibDir, getDynLibDir, getDataDir, getLibexecDir,
    getDataFileName, getSysconfDir
  ) where

import qualified Control.Exception as Exception
import Data.Version (Version(..))
import System.Environment (getEnv)
import Prelude

#if defined(VERSION_base)

#if MIN_VERSION_base(4,0,0)
catchIO :: IO a -> (Exception.IOException -> IO a) -> IO a
#else
catchIO :: IO a -> (Exception.Exception -> IO a) -> IO a
#endif

#else
catchIO :: IO a -> (Exception.IOException -> IO a) -> IO a
#endif
catchIO = Exception.catch

version :: Version
version = Version [0,1,0,0] []
bindir, libdir, dynlibdir, datadir, libexecdir, sysconfdir :: FilePath

bindir     = "/home/olivetti/monadas/.stack-work/install/x86_64-linux-tinfo6/00b6723f15584278f8ff4e008ef3848975b1c9da921bf72f214626f6bd1c4288/8.8.4/bin"
libdir     = "/home/olivetti/monadas/.stack-work/install/x86_64-linux-tinfo6/00b6723f15584278f8ff4e008ef3848975b1c9da921bf72f214626f6bd1c4288/8.8.4/lib/x86_64-linux-ghc-8.8.4/monadas-0.1.0.0-KKEsVKKV9y46m8YAJacBnu-monadas"
dynlibdir  = "/home/olivetti/monadas/.stack-work/install/x86_64-linux-tinfo6/00b6723f15584278f8ff4e008ef3848975b1c9da921bf72f214626f6bd1c4288/8.8.4/lib/x86_64-linux-ghc-8.8.4"
datadir    = "/home/olivetti/monadas/.stack-work/install/x86_64-linux-tinfo6/00b6723f15584278f8ff4e008ef3848975b1c9da921bf72f214626f6bd1c4288/8.8.4/share/x86_64-linux-ghc-8.8.4/monadas-0.1.0.0"
libexecdir = "/home/olivetti/monadas/.stack-work/install/x86_64-linux-tinfo6/00b6723f15584278f8ff4e008ef3848975b1c9da921bf72f214626f6bd1c4288/8.8.4/libexec/x86_64-linux-ghc-8.8.4/monadas-0.1.0.0"
sysconfdir = "/home/olivetti/monadas/.stack-work/install/x86_64-linux-tinfo6/00b6723f15584278f8ff4e008ef3848975b1c9da921bf72f214626f6bd1c4288/8.8.4/etc"

getBinDir, getLibDir, getDynLibDir, getDataDir, getLibexecDir, getSysconfDir :: IO FilePath
getBinDir = catchIO (getEnv "monadas_bindir") (\_ -> return bindir)
getLibDir = catchIO (getEnv "monadas_libdir") (\_ -> return libdir)
getDynLibDir = catchIO (getEnv "monadas_dynlibdir") (\_ -> return dynlibdir)
getDataDir = catchIO (getEnv "monadas_datadir") (\_ -> return datadir)
getLibexecDir = catchIO (getEnv "monadas_libexecdir") (\_ -> return libexecdir)
getSysconfDir = catchIO (getEnv "monadas_sysconfdir") (\_ -> return sysconfdir)

getDataFileName :: FilePath -> IO FilePath
getDataFileName name = do
  dir <- getDataDir
  return (dir ++ "/" ++ name)
